## ros-rolling-cartographer-ros 2.0.9001

=== debian/changelog ===
ros-rolling-cartographer-ros (2.0.9001-1jammy) jammy; urgency=high

  * fix cmake to prevent multiple definitions (#63 <https://github.com/ros2/cartographer_ros/issues/63>)
  * Contributors: Wolf Vollprecht

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-cartographer-ros (2.0.9000-1jammy) jammy; urgency=high

  * Update to latest upstream, as well as new port to ROS 2.

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-cartographer-ros (1.0.0-1jammy) jammy; urgency=high

  * https://github.com/googlecartographer/cartographer_ros/compare/0.3.0...1.0.0

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 01 Jun 2018 00:00:00 -0000

ros-rolling-cartographer-ros (0.3.0-1jammy) jammy; urgency=high

  * https://github.com/googlecartographer/cartographer_ros/compare/0.2.0...0.3.0

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 23 Nov 2017 00:00:00 -0000

ros-rolling-cartographer-ros (0.2.0-1jammy) jammy; urgency=high

  * https://github.com/googlecartographer/cartographer_ros/compare/0.1.0...0.2.0

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 19 Jun 2017 00:00:00 -0000

ros-rolling-cartographer-ros (0.1.0-1jammy) jammy; urgency=high

  * First unstable development release

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 May 2017 00:00:00 -0000
